## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate libbpf-sys

Name:           rust-%{crate}
Version:        0.6.1~2
Release:        %autorelease
Summary:        Rust bindings to libbpf from the Linux kernel

# Upstream license specification: BSD-2-Clause
License:        BSD
URL:            https://crates.io/crates/libbpf-sys
Source:         %{crates_source}
# Turn on the novendor feature by default
Patch0:         libbpf-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Rust bindings to libbpf from the Linux kernel.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       elfutils-libelf-devel
Requires:       kernel-headers
Requires:       libbpf-devel
Requires:       zlib-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+novendor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+novendor-devel %{_description}

This package contains library source intended for building other packages which
use the "novendor" feature of the "%{crate}" crate.

%files       -n %{name}+novendor-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# Remove bundled libbpf
rm -r libbpf
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'elfutils-libelf-devel'
echo 'kernel-headers'
echo 'libbpf-devel'
echo 'zlib-devel'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.6.1~2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.6.1~2-1
- Update to 0.6.1~2 (resolves: rhbz#2028922)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0~2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.5.0~2-1
- Update to 0.5.0~2; Fixes: RHBZ#2012618

* Thu Oct 14 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.5.0~1-1
- Update to 0.5.0~1; Fixes: RHBZ#2012618

* Thu Jul 29 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.4.0~2-1
- Update to 0.4.0~2; Fixes: RHBZ#1980903

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0~1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4.0~1-1
- Update to 0.4.0~1

* Mon May 10 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.0~2-1
- Update to 0.3.0~2
- Drop redundant Requires for subpackages

* Mon May 10 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.0~1-3
- Backport PR#18 and turn the novendor feature on by default

* Sun May 09 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.0~1-2
- Install license
- Unbundle libbpf and use the system one instead
- Add missing Requires to devel subpackages

* Fri May 07 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.0~1-1
- Initial package

